<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.campaign-workspace.test-plan.update-sprint-req-version.title'
  "
  [dialogId]="'sprint-req-version-update-test-plan'"
>
  <sqtm-core-dialog-body>
    <div>
      <p>
        {{
          'sqtm-core.campaign-workspace.test-plan.update-sprint-req-version.help-message'
            | translate
        }}
      </p>
      <sqtm-core-grid></sqtm-core-grid>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      [disabled]="!$canConfirm()"
      (click)="handleConfirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
